*{
margin: 0;
padding: 0;
-webkit-box-sizing: border-box;
       box-sizing: border-box;
 }

h1{
  font-size: 2.5rem;
  font-weight: normal;
  color: #444;
  text-align: center;
  margin: 2rem 0;
}

.slider {
  position: absolute;
  top:0;
  left:0;
  width: 100%;
  height: 100vh;
  background: linear-gradient(to left, #B47839, #2E251E);
  z-index: -1;
}

.hero {
  height: 70%;
  position: relative;
  width: 100%;
}

.hero img{
  object-fit: cover;
  width: 100%;
  height: 100%;
}

nav{
  min-height: 10vh;
  display: flex;
  color: white;
  align-items: center;
  justify-content: center;
}

.contact-info{
  width: 100%;
  max-width: 1200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-card{
  background: #2f3542;
  padding: 0 20px;
  margin: 0 10px;
  font-size: 20px;
  width: calc(33% - 20px);
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
}

.card-icon{
  font-size: 24px;
  background: #ff6348;
  width: 60px;
  height: 60px;
  text-align: center;
  line-height: 60px !important;
  border-radius: 50%;
  transition: 0.3s linear;
}

.contact-card:hover .card-icon{
  background: none;
  color: #ff6348;
  transform: scale(1.6);
}

.contact-card p{

  max-height: 0;
  opacity: 0;
  transition: 0.3s linear;
}

.contact-card:hover p{
  max-height: 40px;
  opacity: 1;
  z-index: 10;
}

@media screen and (max-width: 800px){
  .contact-card{
    width: 33%;
    margin: 0;
  }
}

section{
  display: flex;
  height: 80vh;
  justify-content: center;
  align-items: center;
}

.project-description{
  font-size: 20px;
  color: white;
  padding-top: 3vh;
  line-height: 2em;
}

.main-page{
  font-size: 14px;
  text-align: center;
  padding-top: 6%;
  padding-bottom: 3%;
}

#github{
    color: white;
}

.headline{
  position: absolute;
  top: 10%;
  left: 9%;
  font-size: 75px;
  color: white;
  transform: translate(5%, 25%);
  z-index: 10;
}
.headlineinfo{
  position: absolute;
  top: 35%;
  left: 9%;
  font-size: 35px;
  color: white;
  transform: translate(5%, 25%);
  z-index: 10;
  text-align: center;
  margin: 1rem 0;
}


.hero::after{
  content: "";
  background: black;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  opacity: 0.4;
  top: 0;
}

.content{
  position: relative;
  height: 100%;
  padding-top: 10vh;
  background: linear-gradient(to left, #B47839, #2E251E);
}

.wrapper{
  width: 100%;
  margin: 0 auto;
  max-width: 100rem;
}

.cols{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.col{
  width: calc(50% - 10rem);
  margin: 1rem;
  cursor: pointer;
}

.container{
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
 -webkit-perspective: 1000px;
         perspective: 1000px;
}

.front,
.back{
  background-size: cover;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.25);
  border-radius: 0px;
 background-position: center;
 -webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
 transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
 -o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
 transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
 transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
 -webkit-backface-visibility: hidden;
         backface-visibility: hidden;
 text-align: center;
 min-height: 280px;
 height: auto;
 border-radius: 0px;
 color: #fff;
 font-size: 1.3rem;
}


.back{
 background: #cedce7;
 background: -webkit-linear-gradient(to left, #2f3542, #2f3542);
 background: -o-linear-gradient(to left, #2f3542, #2f3542);
 background: linear-gradient(to left, #2f3542, #2f3542);
}

.front:after{
 position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    content: '';
    display: block;
    opacity: .6;
    background-color: #000;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    border-radius: 0px;
}
.container:hover .front,
.container:hover .back{
    -webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    -o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
}

.back{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.inner{
    -webkit-transform: translateY(-50%) translateZ(60px) scale(0.94);
            transform: translateY(-50%) translateZ(60px) scale(0.94);
    top: 50%;
    position: absolute;
    left: 0;
    width: 100%;
    padding: 2rem;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    outline: 1px solid transparent;
    -webkit-perspective: inherit;
            perspective: inherit;
    z-index: 2;
}

.container .back{
    -webkit-transform: rotateY(180deg);
            transform: rotateY(180deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
}

.container .front{
    -webkit-transform: rotateY(0deg);
            transform: rotateY(0deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
}

.container:hover .back{
  -webkit-transform: rotateY(0deg);
          transform: rotateY(0deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}

.container:hover .front{
  -webkit-transform: rotateY(-180deg);
          transform: rotateY(-180deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}

.front .inner p{
  font-size: 2rem;
  margin-bottom: 2rem;
  position: relative;
}

.front .inner p:after{
  content: '';
  width: 4rem;
  height: 2px;
  position: absolute;
  background: #C6D4DF;
  display: block;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: -.75rem;
}

.front .inner span{
  color: rgba(255,255,255,0.7);
  font-weight: 300;
}

@media screen and (max-width: 64rem){
  .col{
    width: calc(33.333333% - 2rem);
  }
}

@media screen and (max-width: 48rem){
  .col{
    width: calc(50% - 2rem);
  }
  .inner{
    font-size: 16px;
  }

}

@media screen and (max-width: 32rem){
  .col{
    width: 90%;
    margin: 0 0 3rem 0;

  }
  .inner{
    font-size: 14px;
  }
  .container{
    padding: 0 10px;
  }
}


.square_btn{
    display: inline-block;
    padding: 0.5em 1em;
    text-decoration: none;
    border-radius: 4px;
    color: #ffffff;
    margin-top: 2em;
    background-image: -webkit-linear-gradient(#ff6348 0%, #ff6348 100%);
    background-image: linear-gradient(#ff6348 0%, #ff6348 100%);
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
  }

.about_me{
  padding: 0.5em 1em;
  text-decoration: none;
  border-radius: 4px;
  color: #ffffff;
  margin-top: 2em;
  background-image: -webkit-linear-gradient(#ff6348 0%, #ff6348 100%);
  background-image: linear-gradient(#ff6348 0%, #ff6348 100%);
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
  position: absolute;
  top: 45%;
  left: 9%;
  font-size: 20px;
  color: white;
  transform: translate(5%, 25%);
  z-index: 10;
  text-align: center;
}

.square_btn:active{
    -ms-transform: translateY(4px);
    -webkit-transform: translateY(4px);
    transform: translateY(4px);
    box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.2);
    border-bottom: none;
}
